Kerbal Space Program - Bug #2012

Crash while trying to attach Solid Boosters
01/01/2014 08:30 AM - unsinn

Status: Duplicate Start date: 01/01/2014
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Using Arch Linux and launching KSP via Steam without any special environment variables my game crashes when [ try to attach
Solid Boosters to Modular Girder Segements in Symetry Mode.

| build a capusule, attach one solid booster below, switch to symetry mode, attach the girder segments, select the boosters and
hover over my craft, after some wiggly with my mousy-thingy the game crashes.
See KSP.log attached.

Thanks for your efford to support linux!
cheers

Related issues:
Related to Kerbal Space Program - Bug #1005: Linux version crashes in VAB at ... Closed 07/14/2013

History

#1 - 01/01/2014 08:32 AM - unsinn

System Infos:

OS: Linux 3.12.6-1-ARCH Arch rolling 64bit

CPU: Intel(R) Core(TM) i7 CPU X980 @ 3.33GHz (12)
RAM: 12019

GPU: GeForce GTX 670/PCle/SSE2 (2048MB)
SM: 30 (OpenGL 4.4 [4.4.0 NVIDIA 331.20])

Lodfile is litered with
[ERR 15:15:25.366] An invalid object handle was used.

#2 - 01/01/2014 08:42 AM - unsinn
- File KSP.log added

Using 32bit (Steam seems to use 64bit version) version is a bit less messy.
Terminal output:

/KSP.x86

Set current directory to /home/[thx ;)]/.local/share/Steam/SteamApps/common/Kerbal Space Program

Found path: /home/[thx ;)]/.local/share/Steam/SteamApps/common/Kerbal Space Program/KSP.x86

Mono path® = Yhome/[thx ;)}/.local/share/Steam/SteamApps/common/Kerbal Space Program/KSP_Data/Managed'
Mono path® = Yhome/[thx ;)}/.local/share/Steam/SteamApps/common/Kerbal Space Program/KSP_Data/Mono'

Mono config path = '"home/[thx ;)]/.local/share/Steam/SteamApps/common/Kerbal Space Program/KSP_Data/Mono/etc'
Segmentation fault (core dumped)

#3 - 11/20/2015 01:09 PM - sal_vager

- Related to Bug #1005: Linux version crashes in VAB at certain times when using symmetry added

#4 - 11/20/2015 01:12 PM - sal_vager
- Status changed from New to Duplicate

- % Done changed from 0 to 100
Duplicate of #1005

Files
KSP_crash.log 685 KB 01/01/2014 unsinn
KSP.log 93 KB 01/01/2014 unsinn
